%define shortname comix
%define version 1.2.3
%define release %mkrel 5

Name:           kde-theme-%{shortname} 
Summary:        Comix Theme for KDE3.3.x 
Version:        %{version} 
Release:        %{release} 
Source0:        %{shortname}-%{version}.tar.bz2
URL:            http://www.kde-look.org
Group:          Graphical desktop/KDE
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot 
License:        GPL 
Requires: 	kdelibs
BuildRequires:  kdebase-devel

Provides:       kde-style-%{shortname}
Obsoletes:      kde-style-%{shortname}

%description
Theme "comix" for KDE 3.3.x

%prep 
%setup -q -n %shortname-%version

%build 
./configure \
%if "%{_lib}" != "lib"
    --enable-libsuffix="%(A=%{_lib}; echo ${A/lib/})"
%endif

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean 
rm -rf $RPM_BUILD_ROOT 

%files 
%defattr(-,root,root,0755) 
%doc README AUTHORS
%{_libdir}/kde3/plugins/styles/comix.la
%{_libdir}/kde3/plugins/styles/comix.so
%{_libdir}/kde3/kstyle_comix_config.la
%{_libdir}/kde3/kstyle_comix_config.so
%{_datadir}/apps/kstyle/themes/comix.themerc
%{_libdir}/kde3/kwin3_comix.la
%{_libdir}/kde3/kwin3_comix.so
%{_libdir}/kde3/kwin_comix_config.la
%{_libdir}/kde3/kwin_comix_config.so
%{_datadir}/apps/kdisplay/color-schemes/comix.kcsrc
%{_datadir}/apps/kwin/comix.desktop




%changelog
* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 1.2.3-5mdv2008.1
+ Revision: 140853
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Fri Jul 14 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.2.3-5mdv2007.0
- Rebuild

* Wed Dec 28 2005 Anssi Hannula <anssi@mandriva.org> 1.2.3-4mdk
- fix x86_64 build

* Fri Dec 16 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.2.3-3mdk
- Add BuildRequire

* Tue Sep 06 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.2.3-2mdk
- Remove redundant BuildRequires ( kdelibs-devel requires qt3-devel )

* Tue Jan 25 2005 Laurent Culioli <laurent@mandrake.org> 1.2.3-1mdk
- new version
- now style and kwin dec

* Thu Dec 02 2004 Laurent Culioli <laurent@mandrake.org> 1.1.6-1mdk
- new version
- fix invalid-spec-name

* Sun Oct 31 2004 Nicolas Chipaux <chipaux@mandrakesoft.com> 1.1.5-1mdk
- Initial release

